#include<bits/stdc++.h>
using namespace std;
bool br[500000];
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    vector<int> vec;
    for(int i = 1; i < 707; i++){
        vec.push_back(i*i);
        br[i*i] = true;
    }
    int n;
    cin >> n;
    int a;
    for(int i = 0; i < n; i++){
        cin >> a;
        bool f = false;
        for(int i = 0; i < vec.size(); i++){
            if(a <= vec[i]){
                break;
            }
            if(br[a-vec[i]]){
                f = true;
                break;
            }
        }
        if(f){
            cout << 1;
        }else{
            cout << 0;
        }
    }

    return 0;
}
